<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="100px">
      <el-form-item label="累计金额"  >
          <span style="font-size:20px;color:red;">0.00</span>元
      </el-form-item>
      <el-form-item label="待结算金额"  >
          <span style="font-size:20px;color:red;">0.00</span>元
      </el-form-item>
      <el-form-item label="类型" prop="billType">
        <el-select v-model="queryParams.billType" placeholder="请选择类型" clearable size="small">
          <el-option
            v-for="dict in billTypeOptions"
            :key="dict.dictValue"
            :label="dict.dictLabel"
            :value="dict.dictValue"
          />
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
    <el-table v-loading="loading"  border :data="doctorbillList" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55" align="center" />
      <el-table-column label="标题" align="center" prop="title" />
      <el-table-column label="金额" align="center" prop="money" />
      <el-table-column label="余额" align="center" prop="balance" />
      <el-table-column label="类型" align="center" prop="billType">
        <template slot-scope="scope">
          <dict-tag :options="billTypeOptions" :value="scope.row.billType"/>
        </template>
      </el-table-column>
      <el-table-column label="备注" align="center" prop="remark" />
      <el-table-column label="创建时间" align="center" prop="createTime" width="180" />
    </el-table>
    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

  </div>
</template>

<script>
import { getDoctorBillList } from "@/api/moneys";

export default {
  name: "Doctorbill",
  
  data() {
    return {
      show:{
              title:"账单详情",
              open:false,
            },
      // 遮罩层
      loading: true,
      // 导出遮罩层
      exportLoading: false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 医生账单记录表格数据
      doctorbillList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 类型字典
      billTypeOptions: [],
      createTime:null,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        doctorName: null,
        title: null,
        billType: null,
        createTime: null,
        businessId: null,
        sTime:null,
        eTime:null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
      }
    };
  },
  created() {
    this.getList();
    this.getDicts("sys_bill_type").then(response => {
      this.billTypeOptions = response.data;
    });
  },
  methods: {
    change(){
          if(this.createTime!=null){
            this.queryParams.sTime=this.createTime[0];
            this.queryParams.eTime=this.createTime[1];
          }else{
            this.queryParams.sTime=null;
            this.queryParams.eTime=null;
          }
    
        },
    handledetails(row){
            this.show.open=true;
            setTimeout(() => {
                  this.$refs.Details.getDetails(row.billId,row.name);
            }, 1);
        },

    /** 查询医生账单记录列表 */
    getList() {
      this.loading = true;
      getDoctorBillList(this.queryParams).then(response => {
        this.doctorbillList = response.data.list;
        this.total = response.data.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        billId: null,
        doctorId: null,
        title: null,
        money: null,
        balance: null,
        billType: null,
        remark: null,
        createTime: null,
        businessId: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
       this.createTime=null;
      this.queryParams.sTime=null;
      this.queryParams.eTime=null;
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.billId)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加医生账单记录";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const billId = row.billId || this.ids
      getDoctorbill(billId).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改医生账单记录";
      });
    },
   
  }
};
</script>
